uk.gov.hmrc.domain

# EmpRef

###
Related Docs: class EmpRef | package domain

#### object EmpRef extends (String, String) ⇒ EmpRef with Serializable

Linear Supertypes
Serializable, Serializable, (String, String) ⇒ EmpRef, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. EmpRef
2. Serializable
3. Serializable
4. Function2
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def curried: (String) ⇒ (String) ⇒ EmpRef

   Definition Classes
     Function2
   Annotations
     @unspecialized()

7. #### def decode(encodedEmpRef: String): String

8. #### implicit val empRefRead: Reads[EmpRef]

9. #### implicit val empRefWrite: Writes[EmpRef]

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### def fromIdentifiers(slashSeparatedIdentifiers: String): EmpRef

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      Function2 → AnyRef → Any

22. #### def tupled: ((String, String)) ⇒ EmpRef

    Definition Classes
      Function2
    Annotations
      @unspecialized()

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from (String, String) ⇒ EmpRef

### Inherited from AnyRef

### Inherited from Any

### Ungrouped